#
# spec file for package wal-g
#
# Copyright (c) 2017 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

%global provider        github
%global provider_tld    com
%global project         wal-g
%global _project        wal-g
%global repo            wal-g
%global provider_prefix %{provider}.%{provider_tld}/%{project}/%{repo}
%global import_path     %{provider_prefix}

Name:           wal-g
Version:        0.1.12
Release:        1.39
License:        Apache-2.0
Summary:        Archival and Restoration for Postgres
Url:            https://github.com/wal-g/wal-g
Group:          Productivity/Databases/Tools
Source:         %{name}-%{version}.tar.gz
BuildRequires:  go >= 1.7
BuildRequires:  golang-packaging
# BuildRequires:  golang(github.com/aws/aws-sdk-go)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
WAL-G is the successor of WAL-E with a number of key differences. WAL-G uses
LZ4 compression, multiple processors and non-exclusive base backups for
Postgres.

%prep
%setup -q

%build
%goprep %{import_path}
%gobuild ./cmd/...

%install
install -m 0755 -D ../go/bin/wal-g %{buildroot}%{_bindir}/wal-g

%files
%defattr(-,root,root)
%{_bindir}/wal-g
%doc CONTRIBUTORS LICENSE.md README.md
%changelog
* Wed Oct 17 2018 Marcus Rueckert <mrueckert@suse.de>
- update to 0.1.12
* Wed Jun 27 2018 mrueckert@suse.de
- update to 0.1.10
* Tue Sep 26 2017 mrueckert@suse.de
- update to 0.1.2
* Mon Aug 21 2017 mrueckert@suse.de
- initial package
